package com.yonge.cooleshow.biz.dal.wrapper;

import com.yonge.cooleshow.biz.dal.entity.SysUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 学生封装类
 * Created by Eric.Shang on 2023/1/6.
 */
public class StudentWrapper {

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel("学生帐号关联")
    public static class UnionStudent implements Serializable {

        @ApiModelProperty("帐号关联Id")
        private Long unionId;

        @ApiModelProperty("授权Token")
        private String token;

        @ApiModelProperty("联系方式")
        private String mobile;

        @ApiModelProperty("声部名称")
        private String subjectName;

        @ApiModelProperty("用户名")
        private String username;

        @ApiModelProperty("性别（0，女  1，男）")
        private Integer gender;

        @ApiModelProperty("是否校验token")
        private Boolean tokenCheck;

        @ApiModelProperty("0-正常，1-锁定")
        private Integer lockFlag;
    }

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel("帐号关联响应")
    public static class UnionStudentResp implements Serializable {

        @ApiModelProperty("帐号关联Id")
        private Long unionId;

        @ApiModelProperty("联系方式")
        private String mobile;

        @ApiModelProperty("用户Id")
        private Long userId;

        @ApiModelProperty("用户名")
        private String username;

        @ApiModelProperty("更新标识")
        private Boolean updateFlag;

        private SysUser sysUser;

        public UnionStudentResp userId(Long userId) {
            this.userId = userId;
            return this;
        }

        public UnionStudentResp username(String username) {
            this.username = username;
            return this;
        }
    }
}
