package com.yonge.cooleshow.teacher.controller;

import com.yonge.cooleshow.biz.dal.service.StudentService;
import com.yonge.cooleshow.biz.dal.vo.StudentVo;
import com.yonge.cooleshow.common.controller.BaseController;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import com.yonge.toolset.base.util.StringUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/student")
@Api(value = "学生表", tags = "学生表")
public class StudentController extends BaseController {
    @Autowired
    private StudentService studentService;


    @ApiOperation(value = "查询指定学员信息-融云token")
    @GetMapping("/queryUserById")
    public HttpResponseResult<StudentVo> queryUserById(String rongCloudUserId) {

        if (StringUtil.isEmpty(rongCloudUserId)) {
            return failed("用户信息获取失败");
        }

        Long userId = null;
        String[] split = rongCloudUserId.split(":");
        if (split.length == 2 && !StringUtil.isEmpty(split[0])) {
            try {
                userId = Long.parseLong(split[0]);
            } catch (Exception e) {
                e.printStackTrace();
                return failed("用户信息获取失败");
            }
        }
        return succeed(studentService.detail(userId));
    }

}